Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Interface ArgumentsC

All Known Implementing Classes:
  ArgumentsCImpl

public interface ArgumentsC
extends CreateC, CreateS, DropC, DropS

A class that provides customizable command line argument parsing support. A class that provides customizable command line argument parsing support

Method Summary
`void` | `addOption$key$arg$flags$doc$group(java.lang.String name, int key, java.lang.String arg, int flags, java.lang.String doc, int group)` Takes an option specification that includes the following information: - The name of the option specification - The key of the option.
`int` | `parseKey$arg(int key, java.lang.String arg)` This method is called for each option that occurs.
`java.lang.Object` | `setAppModeString(java.lang.String appModeString)`
`java.lang.Object` | `setAppName(java.lang.String appName)`
`java.lang.Object` | `setArgc$Argv(int count, java.lang.String[] theArgv)`
`java.lang.Object` | `setBugAddress(java.lang.String bugAddress)`
`java.lang.Object` | `setVersion(java.lang.String version)`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### setArgc$Argv

    public java.lang.Object setArgc$Argv(int count,
                                         java.lang.String[] theArgv)

### setAppName

    public java.lang.Object setAppName(java.lang.String appName)

### setAppModeString

    public java.lang.Object setAppModeString(java.lang.String appModeString)

### setBugAddress

    public java.lang.Object setBugAddress(java.lang.String bugAddress)

### setVersion

    public java.lang.Object setVersion(java.lang.String version)

### addOption$key$arg$flags$doc$group

    public void addOption$key$arg$flags$doc$group(java.lang.String name,
                                                  int key,
                                                  java.lang.String arg,
                                                  int flags,
                                                  java.lang.String doc,
                                                  int group)

  Takes an option specification that includes the following information: - The name of the option specification - The key of the option. This an integer that, if printiable, is the single-character use of the option. For example, `-p' vs. `--protocol' are the different versions of the same thing. One is intended to be mnemonic, the other convenient. - If non-NULL, an argument label that says that the option requires an argument (in this case, the protocol name). - Flags that change the visibility and parsing of the option - Documentation for the option - A sorting integer; relative placement of the option in the help screen.

### parseKey$arg

    public int parseKey$arg(int key,
                            java.lang.String arg)

  This method is called for each option that occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD